# Contributing to calc-it

Thank you for your interest in contributing to `calc-it`! We welcome contributions from the community and are excited to work with you to improve this project. Please follow the guidelines below to ensure a smooth contribution process.

## How to Contribute

1. **Fork the Repository**: Start by forking the repository to your own GitHub account.

2. **Clone Your Fork**: Clone the forked repository to your local machine using:

   ```bash
   git clone https://github.com/Abhaya-s-Space/calcit.git
   ```

3. **Create a New Branch**: Create a new branch for your changes. Use a descriptive name for your branch, such as `feature/my-feature` or `bugfix/fix-bug`.

4. **Make Your Changes**: Make the necessary changes to the codebase. Follow the project's coding conventions and guidelines.

5. **Commit Your Changes**: Commit your changes with a clear and descriptive commit message. Use the following format:

   ```bash
   git commit -m "feat(feature): Commit message - branch_name"
   ```

   follow the convention of the commit message - [commit convention](./commit-convention.md)

6. **Push Your Changes**: Push your changes to your forked repository on GitHub.

7. **Create a Pull Request**: On your forked repository, create a pull request to the `develop` branch of the original repository. Provide a clear and detailed description of your changes in the pull request.

8. **Review and Merge**: The project maintainers will review your pull request and provide feedback. If approved, they will merge your changes into the main repository.

## Guidelines for Contributing

- Follow the project's coding conventions and guidelines.
- Write clear and concise commit messages.
- Comment your code where necessary.
- Test your changes thoroughly.
- Document your changes in the README.md file.
- Keep your changes focused and avoid unnecessary changes.
- Ensure your changes are well-tested and do not introduce new bugs.

## Getting Help

If you encounter any issues or have questions, please feel free to open an issue on the GitHub repository. We'll be happy to assist you and provide guidance.

## Code of Conduct

Please note that this project has a code of conduct. By participating in this project, you agree to abide by its terms. Please review the code of conduct before contributing.

## License

By contributing to this project, you agree that your contributions will be licensed under the MIT License.
