/**
 * Calculates the monthly mortgage payment.
 * @param principal - The loan principal amount.
 * @param annualRate - The annual interest rate (in percentage).
 * @param loanTermYears - The loan term in years.
 * @returns The monthly mortgage payment.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateEducationMonthlyPayment(principal: number, annualRate: number, loanTermYears: number): number;
/**
 * Calculates the total payment and total interest over the life of the loan.
 * @param principal - The loan principal amount.
 * @param annualRate - The annual interest rate (in percentage).
 * @param loanTermYears - The loan term in years.
 * @returns An object containing the total payment and total interest.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateEducationLoanDetails(principal: number, annualRate: number, loanTermYears: number): {
    totalPayment: number;
    totalInterest: number;
};
